Query module called for each database execution to get the desired result on the data.

internal
class

  _NanoSQLQuery

### Hierarchy

- _NanoSQLQuery

## Index

### Constructors

- constructor

### Methods

- _doQuery

## Constructors

### constructor

- new _NanoSQLQuery(database: _NanoSQLDB): _NanoSQLQuery

- - Defined in db-query.ts:177

  #### Parameters

  - ##### database: _NanoSQLDB

  #### Returns _NanoSQLQuery

## Methods

### _doQuery

- _doQuery(query: DBExec): void

- - Defined in db-query.ts:192

  Setup the query then call the execution command.

  internal
  memberof

    _NanoSQLQuery

  #### Parameters

  - ##### query: DBExec

  #### Returns void

Generated using TypeDoc